import { select, scaleOrdinal, scaleSqrt } from 'd3';
import { colorLegend } from './colorLegend.js';
import { sizeLegend } from './sizeLegend.js';



const svg = select('svg');
const height = +svg.attr('height'); 

const colorScale = scaleOrdinal()
		.domain(['apple', 'lemon', 'limes', 'orange'])
		.range(['#c11d1d', '#eae600', 'green', 'orange']);

svg.append('g')
	.attr('tansform', `translate(100, ${height/2})`)
  .call(colorLegend, {
  colorScale,
  circleRadius : 30,
  spacing : 70,
  textOffset : 50
});

const sizeScale = scaleSqrt()
		.domain([0, 10])
		.range([0, 50]);

svg.append('g')
	.attr('tansform', `translate(200, ${height/2})`)
  .call(sizeLegend, {
    sizeScale,
    circleRadius : 30,
    spacing : 70,
    textOffset : 10,
  	numticks: 5,
  	circleFill: 'rgba(0,0,0,0.5)'
});